/*
 * Main.java
 */

package calculatorclient;

import javax.xml.ws.WebServiceRef;
import calculatorservice.CalculatorService;
import calculatorservice.Calculator;

public class Main {

    @WebServiceRef(wsdlLocation=
        "http://localhost:8080/CalculatorService/CalculatorService?wsdl")
    static CalculatorService service;

    public static void main(String[] args) {
        try {
            System.out.println("Retrieving the port from the following service: " + service);
            Calculator port = service.getCalculatorPort(); 
            System.out.println("Invoking operation sqrt(100) on the port.");
            double response = port.sqrt(100); 
            System.out.println("Response is " + response); 
            System.out.println("Invoking operation exp(2) on the port.");
            response = port.exp(2); 
            System.out.println("Response is " + response); 
        } catch(Exception e) { e.printStackTrace(); }        
    }
    
}
